package model

type User struct {
	Id        int64  `json:"id" gorm:"column:id,primaryKey"`
	CreatedAt int64  `json:"created_at" gorm:"column:created_at,autoCreateTime:milli"`
	UpdatedAt int64  `json:"updated_at" gorm:"column:updated_at,autoUpdateTime:milli"`
	DeletedAt int64  `json:"deleted_at" gorm:"column:deleted_at"`
	Username  string `json:"username" gorm:"column:username;type:varchar(255);not null"`
	Nickname  string `json:"nickname" gorm:"column:nickname;type:varchar(255);not null"`
	Password  string `json:"-" gorm:"column:password;type:varchar(255);not null"`
	Avatar    string `json:"avatar" gorm:"column:avatar;type:varchar(32);not null"`
	Phone     string `json:"phone" gorm:"column:phone;type:varchar(16);not null"`
	Email     string `json:"email" gorm:"column:email;type:varchar(255);not null"`
}
